OUTPUT_FORMAT(elf64-x86-64)

SECTIONS {
	.lnxhead 0x01f1 : ALIGN(1) {
		*(.lnxhead);
	}

	.rodata 0x900000 : ALIGN(1) {
		*(.rodata);
	}

	.text._start 0x80000000 : ALIGN(1) {
		*(.text._start);
	}

	.text : ALIGN(512) { *(.text); }
	.bss : { *(.bss); }

	.kernel_imports 0xFFFFFFFF : {
		*(.kernel_imports);
	}

	/DISCARD/ : {
		*(*);
	}
}
